Bug 117405 - (IRQ ACPI LP) IRQ probe bug with IDE/lp illegal sleeping
(IRQ ACPI LP) IRQ probe bug with IDE/lp illegal sleeping
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FC2Target FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-03-03 12:39 EST by P Jones
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 01:05:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from error time (33.77 KB, text/plain)
2004-03-03 12:48 EST, P Jones
no flags Details

  None (edit)
Description P Jones 2004-03-03 12:39:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
On boot up to unp kernel, got a error and kernel call trace while
probing IDE devices.  Later attemps to use CD/DVD for read or write
failed.


Version-Release number of selected component (if applicable):
2.6.3-1.118

How reproducible:
Always

Steps to Reproduce:
1.  er, install on my hardware?
2.
3.
    

Additional info:
Comment 1 P Jones 2004-03-03 12:48:42 EST
Created attachment 98248 [details]
/var/log/messages from error time

This actually shows several call traces... I'm assuming that I'm seeing two
sets: one related to the IDE problem, the other unrelated ("Badness in
interruptible_sleep_on_timeout at kernel/sched.c:1938").  The IDE problem
doesn't happen on SMP kernel, only uni... It's also happened on 2.6.3-1.110 and
109. (again, only on uni)... so that's the workaround for now...
Comment 2 P Jones 2004-03-03 15:56:20 EST
pci=noacpi seems to work too.  Still would be nice to have it fixed ;)
Comment 3 Dave Jones 2004-12-08 00:42:58 EST
any better with the 2.6.9 update ?

Note You need to log in before you can comment on or make changes to this bug.